﻿namespace SudokuSolver
{
    using System;

    public sealed class InputReader
    {
        /// <summary>
        /// Reads 9 lines, parses them and returns 2D array of fields.
        /// </summary>
        /// <returns></returns>
        public Field[,] ReadTask()
        {
            Field[,] fields = new Field[9,9];

            for (int i = 0; i < 9; i++)
            {
                string[] numsStr = Console.ReadLine().Split(' ');

                for (int j = 0; j < 9; j++)
                {
                    fields[i, j] = new Field();
                    if (numsStr[j] != "_")
                    {
                        fields[i, j].Number = Int32.Parse(numsStr[j]);
                    }
                }
            }

            return fields;
        }
    }
}
