﻿namespace SudokuSolver
{
    using System;

    public sealed class OutputWriter
    {
        /// <summary>
        /// Writes the output sudoku in Console.
        /// </summary>
        /// <param name="fields"></param>
        public void Write(Field[,] fields)
        {
            for (int i = 0; i < fields.GetUpperBound(0); i++)
            {
                for (int j = 0; j < fields.GetUpperBound(1); j++)
                {
                    Console.Write(fields[i, j].Number + " ");
                }
                Console.WriteLine();
            }
        }
    }
}
