﻿namespace SudokuSolver
{
    using System;

    class Program
    {
        static void Main(string[] args)
        {
            // Reading input
            InputReader ir = new InputReader();
            Field[,] fields = ir.ReadTask();
            Console.WriteLine();

            // Solving sudoku
            Solver solver = new Solver(fields);
            solver.Solve();

            // Writing output
            OutputWriter ow = new OutputWriter();
            ow.Write(fields);

            Console.ReadKey();
        }
        
    }
}
