#include "pole_sudoku.h"

void nacitaj_hracie_pole_char_konzola(char p_s[][18]) {
    int i;
    char buffer[18];

    printf("Zadajte %d riadkov zadania sudoku:\n", 9);
    for (i = 0; i < 9; i++) {
        scanf(" %18[^\n]s", buffer); // precita z konzoly retazec
        strcpy(p_s[i], buffer); // vlozi retazec do pola
    }
}

void vypis_hracie_pole_char(char p_s[][18]) {
    int i;

    for (i = 0; i < 9; i++) {
        printf("%s\n", p_s[i]);
    }
}

bool kontrola_vstupneho_pola(char p_s[][18]) {
    int i, j;
    // kontroluje
    for (i = 0; i < 9; i++) {
        for (j = 0; j < 17; j++) {
            // ci su na spravnom mieste podtrzniky alebo cislice okrem nuly
            if ((j % 2 == 0) && !((isdigit(p_s[i][j]) && p_s[i][j] != '0') || (p_s[i][j] == '_')))
                return false;
            // ci su na spravnom mieste medzery
            if (!(j % 2 == 0) && !(p_s[i][j] == ' ')) {
                return false;
            }
        }
    }
    return true;
}

void napln_hracie_pole_int_zo_vstupu(int s[][9], char p_s[][18]) {
    int i, j, k;

    for (i = 0; i < 9; i++) {
        k = 0;
        for (j = 0; j < 17; j++) {
            if (p_s[i][j] != ' ') { // vyluci medzerniky
                if (p_s[i][j] == '_') { // podtrznik nahradi nulou
                    s[i][k++] = 0;
                }
                else {
                    s[i][k++] = (int)p_s[i][j] - 48; // z char cislice zmeni na int cislicu
                }
            }
        }
    }
}

void napln_hracie_pole_char_z_int(int s[][9], char p_s[][18]) {
    int i, j, k;
    char buffer[18];

    for (i = 0; i < 9; i++) {
        k = 0;
        for (j = 0; j < 9; j++) {
            if (s[i][j] == 0) {
                buffer[k++] = '_'; // nulu nahradi podtrznikom
                buffer[k++] = ' '; // medzi cislice a podtrzniky vlozi medzeru
            }
            else {
                buffer[k++] = (int)s[i][j] + 48; // z int cislice zmeni na char cislicu
                buffer[k++] = ' '; // medzi cislice a podtrzniky vlozi medzeru
            }
        }
        buffer[k - 1] = '\0'; // ukonci retazec
        strcpy(p_s[i], buffer); // vlozi retazec do pola
    }
}
