#ifndef VYPOCET_SUDOKU_H_INCLUDED
#define VYPOCET_SUDOKU_H_INCLUDED
#include "pole_sudoku.h"

/**
* Funkcia skontroluje ci cislica v bunke splna pravidla sudoku
* @param s - pole int 9 x 9 (pole sudoku)
* @param riadok (pole sudoku)
* @param stlpec (pole sudoku)
* @param cislica - testovana cislica
* @return true = splna / false = nesplna
*/
bool povolena_cislica(int s[][9], int riadok, int stlpec, int cislica);

/**
* Funkcia skontroluje vsetky volne bunky v mriezke
* a nakoniec do nich ulozi spravne hodnoty podla pravidiel sudoku
* @param s - pole int 9 x 9 (pole sudoku)
* @param riadok (pole sudoku)
* @param stlpec (pole sudoku)
* @return true = hotovo / false = nie je ziadne riesenie
*/
bool vypocitaj_vsetko(int s[][9], int riadok, int stlpec);

#endif // VYPOCET_SUDOKU_H_INCLUDED
