/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sudokusolver;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;


class WrongInputException extends Exception {
   public WrongInputException(String msg){
      super(msg);
   }
}


public class SudokuSolver {

    /**
     * Trida nacte od uzivatele z konzole 9 radku sudoku a ulozi je do pole rozmeru o 9x9.
     * Po vyreseni sudoku vypise vysledek opet do konzole. 
     */
    public static void main(String args[]) throws IOException {
        System.out.println("Ahoj, zadej 9 radku sudoku");
        String pattern = "[123456789_] [123456789_] [123456789_] [123456789_] [123456789_] [123456789_] [123456789_] [123456789_] [123456789_]";
        char[][] table = new char[9][9];
        
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
            for(int i = 0; i < 9; i++) {
                String row;
                do {
                    System.out.print((i+1) + ". radek:");
                    row = br.readLine();
                    
                    if(!row.matches(pattern)) {
                        System.out.println("Chyba!!! Zadej radek znovu");
                    }
                } while(!row.matches(pattern));
                
                for(int j = 0; j < 9; j++) {
                    table[i][j] = row.charAt(2 * j);
                }
            }   
        
        ProcessSudoku sudoku = new ProcessSudoku(table);
        if(sudoku.solveSudoku()) {
            table = sudoku.getTable();      
            System.out.println("\n \n Vysledna tabulka");

            for (char[] table1 : table) {
                for (int j = 0; j < table1.length; j++) {
                    System.out.print(table1[j] + " ");
                }
                System.out.println();
            }
        }
        else{
            System.out.println("Toto sudoku nema reseni!");
        }
    }

}
