#ifndef MRIEZKA_H_INCLUDED
#define MRIEZKA_H_INCLUDED
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>
#include <ctype.h>

/**
* Funkcia nacita retazce z konzoly a zapise ich do pola retazcov.
* @param p_s - pole retazcov 9 x (18)
*/
void nacitaj_hracie_pole_char_konzola(char p_s[][18]);

/**
* Funkcia vypise pole retazcov.
* @param p_s - pole retazcov 9 x (18)
*/
void vypis_hracie_pole_char(char p_s[][18]);

/**
* Funkcia kontroluje spavnost zadaneho pola retazcov.
* @param p_s - pole retazcov 9 x (18)
* @return true / false
*/
bool kontrola_vstupneho_pola(char p_s[][18]);

/**
* Funkcia z pola retazcov 9 x (18) prenesie cislice do pola int 9 x 9,
* namiesto podtrznikov doplni nuly
* @param s - pole int 9 x 9
* @param p_s - pole retazcov 9 x (18)
*/
void napln_hracie_pole_int_zo_vstupu(int s[][9], char p_s[][18]);

/**
* Funkcia z pola int 9 x 9 prenesie konstanty do pola retazcov 9 x (18)
* a doplni medzerniky
* @param s - pole int 9 x 9
* @param p_s - pole retazcov 9 x 18
*/
void napln_hracie_pole_char_z_int(int s[][9], char p_s[][18]);

#endif // MRIEZKA_H_INCLUDED
