﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace sudoku
{
    public class Number
    {
        private int num = 0;
        private Sudoku s;
        private bool[] numbers = new bool[9];
        public bool Numbers(int num) 
        {
            if (IsEmpty && num > 0 && num < 10)
                return numbers[num - 1];
            return false;
        }

        public void SetNumber(int num, bool data)
        {
            if (num > 0 && num < 10)
                numbers[num - 1] = data;
        }

        public int X { get; set; }
        public int Y { get; set; }
        public bool IsEmpty { get; set; }
        public int Value
        {
            get { return num; }
            set
            {
                num = value;
                IsEmpty = value == 0;
                s.ChangeNumber(this);                
            }
        }

        public Number(Sudoku s, int x, int y) //prázdné číslo
        {
            this.s = s;
            IsEmpty = true;
            X = x; Y = y;
        }

        public Number(Sudoku s, int num, int x, int y)
        {
            this.s = s;
            IsEmpty = false;
            X = x; Y = y;
            Value = num;
        }

        public override string ToString()
        {
            if (IsEmpty)
                return "_";
            else
                return Value.ToString();
        }
    }
}
